%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define	release	%mkrel 3

%define	ant_home	%{_datadir}/ant
%define ant_builddir	antbuilddir

Summary:	Ant build tool for java j2sdk
Name:		j2sdk-ant
Version:	1.6.5
Release:	%release
Group:		Development/Java
License:	Apache License
Group:		Development/Java
URL:		http://ant.apache.org/
Source0:        http://www.apache.org/dist/ant/source/apache-ant-%{version}-src.tar.bz2
Provides:	ant
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	jdk >= 1.4.2_10
BuildConflicts:	ant 
BuildConflicts: j2sdk-ant

%description
Ant is a platform-independent build tool for java. It's used by Apache
Jakarta and XML projects.

%prep
%setup -q -n apache-ant-%{version}
find docs -name '*.orig' -exec rm -f {} \;
#find . -name '*.jar' -exec rm -f {} \;

%build
CLASSPATH=$JAVA_HOME/lib/tools.jar
export CLASSPATH
./bootstrap.sh
./build.sh -Ddist.dir=%{ant_builddir} -Ddebug=false dist
rm -f ./%{ant_builddir}/bin/{*.cmd,*bat}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir} \
	$RPM_BUILD_ROOT%{_sysconfdir} \
	$RPM_BUILD_ROOT%{_javadir} \
	$RPM_BUILD_ROOT%{ant_home}/etc \
	$RPM_BUILD_ROOT%{ant_home}/lib

cat > $RPM_BUILD_ROOT%{_sysconfdir}/ant.conf <<EOF
# Use Jikes compiler
usejikes=false
ANT_HOME=%{ant_home}
EOF

install -p -m 644 	%{ant_builddir}/lib/ant.jar \
			%{ant_builddir}/lib/ant-jmf.jar \
			%{ant_builddir}/lib/ant-junit.jar \
			%{ant_builddir}/lib/ant-launcher.jar \
			%{ant_builddir}/lib/ant-nodeps.jar \
			%{ant_builddir}/lib/ant-swing.jar \
			%{ant_builddir}/lib/ant-trax.jar \
				$RPM_BUILD_ROOT%{_javadir}
install -p -m 755 	%{ant_builddir}/bin/ant \
			%{ant_builddir}/bin/antRun \
			%{ant_builddir}/bin/*.py \
			%{ant_builddir}/bin/*.pl \
				$RPM_BUILD_ROOT%{_bindir}

(cd $RPM_BUILD_ROOT%{_javadir}
 for i in *.jar; do
	ln -s %{_javadir}/$i $RPM_BUILD_ROOT%{ant_home}/lib/$i
 done
)

cp -a %{ant_builddir}/etc/* $RPM_BUILD_ROOT%{ant_home}/etc
rm -f $RPM_BUILD_ROOT%{ant_home}/etc/ant-bootstrap.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc KEYS LICENSE LICENSE.dom LICENSE.sax LICENSE.xerces NOTICE README
%doc TODO WHATSNEW welcome.html %{ant_builddir}/docs
%{_bindir}/ant
%{_bindir}/antRun
%{_bindir}/*.pl
%{_bindir}/*.py
%config(noreplace) %{_sysconfdir}/ant.conf
%dir %{ant_home}
%dir %{ant_home}/etc
%dir %{ant_home}/etc/checkstyle
%dir %{ant_home}/lib
%dir %{_javadir}
%{ant_home}/etc/*.xsl
%{ant_home}/etc/checkstyle/*.xsl
%{ant_home}/lib/*
%{_javadir}/ant.jar
%{_javadir}/ant-jmf.jar
%{_javadir}/ant-junit.jar
%{_javadir}/ant-launcher.jar
%{_javadir}/ant-nodeps.jar
%{_javadir}/ant-swing.jar
%{_javadir}/ant-trax.jar

%changelog
* Mon Dec 11 2006 Torbjorn Turpeinen <tobbe@nyvalls.se> 1.6.5-3
- initial build for pclinuxos 2007
